Subject: Re: Cygnus/EGCS Windows NT port of PostgreSQL
From: [email-masked] (Stipe Tolj)

15 Oct 1998 17:30:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Joost Kraaijeveld <[email-masked]>
Cc: "Gnu-Win32 (E-mail)" <[email-masked]>,
        "Egcs (E-mail)" <[email-masked]>

> We  have succeeded in porting PostgreSQL to Windows NT.
>
> PostgreSQL is a sophisticated Object-Relational DBMS, supporting almost all
> SQL constructs, including subselects, transactions, and user-defined types
> and functions. It is the most advanced open-source database available
> anywhere.
>
> Allthought it runs on Windows NT (and allmost most unix flavours) additional
> Windows work has to be done. The three most important things (not in any
> particular order) are:
>
> 1. Changen open() andd fopen() calls so that there is no need to mount the
> directories binary.
> 2. Creating (a) dll(s) so we don't have to link staticaly.
> 3. Solving some regression test problems (numeric and date-time stuff).
>
> If anyone feels the need to help, please do. Information on the project is
> at:

As I said already, I am very interested since I was (or still am) trying to port
mysql-3.22 to the cygwin32 environment. I will have a look on the issues in
order to support Win32 systems.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".